Bug 137684 - 2.6.7-1.494.2.2 thru 2.6.8.1-521 leave scsi and raid modules out of initrd
2.6.7-1.494.2.2 thru 2.6.8.1-521 leave scsi and raid modules out of initrd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 12:24 EDT by Steve Bergman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 15:05:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
difference between linuxrc's plus contents of /etc/modules.conf (2.60 KB, text/plain)
2004-10-30 13:54 EDT, Steve Bergman
no flags Details
Requested output of mkinitrd command (843 bytes, text/plain)
2004-11-01 14:58 EST, Steve Bergman
no flags Details
Requested modprobe.conf (185.23 KB, text/plain)
2004-11-01 14:59 EST, Steve Bergman
no flags Details

  None (edit)
Description Steve Bergman 2004-10-30 12:24:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041029 Firefox/1.0RC1

Description of problem:
After applying kernel update, these lines are left out of linuxrc in
the initrd and the modules themselves are left out as well:

echo "Loading scsi_mod.ko module"                             <
insmod /lib/scsi_mod.ko                                       <
echo "Loading sd_mod.ko module"                               <
insmod /lib/sd_mod.ko                                         <
echo "Loading scsi_transport_spi.ko module"                   <
insmod /lib/scsi_transport_spi.ko                             <
echo "Loading sym53c8xx.ko module"                            <
insmod /lib/sym53c8xx.ko                                      <


Version-Release number of selected component (if applicable):
2.6.8.1-521

How reproducible:
Always

Steps to Reproduce:
1. Install FC2 (this was an upgrade from FC1)
2. Update to latest kernel (I'm using yum) 
3. Cannot mount root filesystem
    

Actual Results:  System panics

Expected Results:  Successful boot

Additional info:
Comment 1 Steve Bergman 2004-10-30 13:54:16 EDT
Created attachment 105978 [details]
difference between linuxrc's plus contents of /etc/modules.conf

Here is a diff between the two linuxrc's plus the contents of the modules.conf

Note that I upgraded from the original 2.6.5 kernel to the 2.6.6 kernel
successfully, so at least one kernel upgrade worked.  But upgrading to later
kernels does not.
Comment 2 Steve Bergman 2004-10-30 14:12:06 EDT
More info.  If I manually:

# mkinitrd 2.6.6test.img 2.6.6-1.435
# mkinitrd 2.6.6test.img 2.6.8-1.521

and then examine the reulting linuxrc's, they are the same and *both*
are missing all the modules for scsi.

mkinitrd is the original mkinitrd-3.5.22-1 which came with FC2 and
there are no updates.  Odd that the update to 2.6.6-1.435 worked though.
Comment 3 Jeremy Katz 2004-11-01 14:38:20 EST
Have you made any other updates to your system?  What is the output of
running /sbin/mkinitrd -v -f /tmp/initrd.out $(uname -r)?  What are
the contents of /etc/modprobe.conf?
Comment 4 Steve Bergman 2004-11-01 14:58:51 EST
Created attachment 106043 [details]
Requested output of mkinitrd command
Comment 5 Steve Bergman 2004-11-01 14:59:39 EST
Created attachment 106044 [details]
Requested modprobe.conf
Comment 6 Steve Bergman 2004-11-01 15:02:50 EST
I do not believe that any relevant changes have been made except for
the normal "yum update" from mirrors.kernel.org/fedora

I should also say that was incorrect as to the raid module being left
out.  It's just the SCSI related stuff.  Sorry, my bad.
Comment 7 Jeremy Katz 2004-11-01 15:05:01 EST
Your /etc/modprobe.conf has been corrupted by something....  It should
be far shorter and only contain the relevant lines for your audio and
scsi_hostadapter... eg

[root@katzj7 ~]# cat /etc/modprobe.conf
alias scsi_hostadapter sx8
alias eth0 e1000
alias scsi_hostadapter1 mptbase
alias scsi_hostadapter2 mptscsih
alias scsi_hostadapter3 ata_piix
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394
Comment 8 Steve Bergman 2004-11-01 15:28:50 EST
Thanks.  I'll try to backtrack and see what happened.

The date on /lib/modules/2.6.6-4.435 is

Aug 18 11:38

and /etc/modprobe.conf is 

Aug 18 11:42

IIRC, I applied a number of patches at that time. (the machine is
behind a firewall so I don't always keep up.)

Comment 9 Steve Bergman 2004-11-01 17:26:43 EST
OK.  After looking into this and searching my memory, I do vaguely
recall running generate-modprobe.conf while troubleshooting a problem
on this machine, the nature of which I can't seem to recall at this time.

So, I'd say this is a "WORKSFORME".

So, is there an easy way to regenerate the file in the "fedora" way?
Comment 10 Steve Bergman 2004-11-01 17:57:47 EST
Never mind.  Got it.  

Thanks, and sorry for the false alarm.


Note You need to log in before you can comment on or make changes to this bug.